### Method

# Handy HeaderBar set_decoration_layout

since: 1.0

#### Declaration [src]

    void
    hdy_header_bar_set_decoration_layout (
      HdyHeaderBar* self,
      const gchar* layout
    )

#### Description [src]

Sets the decoration layout for this header bar.

Available since: 1.0

Sets property | `Handy.HeaderBar:decoration-layout`

#### Parameters

`layout`

  Type: `const gchar*`

  A decoration layout.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.